## ppmd 9.1

=== debian/changelog ===
ppmd (9.1-16) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Honour nocheck in DEB_BUILD_OPTIONS.
  * Now using Standards-Version 3.8.3.

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 22:42:37 +0100

ppmd (9.1-15) unstable; urgency=low

  * Add Vcs-Brwoser and Vcs-Git fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Remove packaging svn information.
    - Change 'Upstream Authors' to 'Copyright Holders'.
    - Add missing copyright years and UTF-8 copyright symbol.
  * Mangle the Debian version in the watch file.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 06:04:11 +0300

ppmd (9.1-14) unstable; urgency=low

  * Do not ignore make errors on 'debian/rules clean'.
  * Switch to quilt:
    - Remove now unused debian/patch.mk.
    - Replace include of patch.mk with quilt.make in debian/rules.
    - Add Build-Depends on 'quilt (>= 0.40)'.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Remove commented debhelper commands.
  * Remove unused DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE variables.
  * Remove dependencies in binary-indep target, and build dependency in
    binary-arch.
  * Cleanup and reformat ppmd.1.
  * Define BYTE, WORD and DWORD based on stdint types to fixed 8 16 and 32 bit
    types, making the code 64-bit clean. (Closes: #178840, #186873, #370419)
    - debian/patches/02_non-intel.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Tue, 18 Dec 2007 05:23:38 +0200

ppmd (9.1-13) unstable; urgency=low

  * Fix more non 64-bit clean problems.
  * Switch to debhelper compativility level 5.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Indent paragraphs in debian/copyright with 4 spaces.
  * Build with -O1 as a workaround for powerpc, otherwise the code segfaults
    when using g++-4.1. (Closes: #366753)

 -- Guillem Jover <guillem@debian.org>  Sun,  4 Jun 2006 19:50:30 +0300

ppmd (9.1-12) unstable; urgency=low

  * Add a full test to make sure the program works.
  * Fix unaligned access and hardcoded endian handling. As a side effect
    revert the removal of the inline keyword that was causing problems with
    newer gcc compilers. (Closes: #319152)

 -- Guillem Jover <guillem@debian.org>  Thu, 21 Jul 2005 07:50:07 +0300

ppmd (9.1-11) unstable; urgency=low

  * Now using Standards-Version 3.6.2 (no changes needed).
  * Update watch file to version 3 (no changes needed).
  * Pass CXXFLAGS to the Makefile so it is really used.
  * Cosmetic fixes to the upstream location text.
  * Lower-case the binary and the manpage filenames. Provide
    compatilibity symlinks. (Closes: #300089)
  * Fix cleaning after build.
  * C++ ABI transition.

 -- Guillem Jover <guillem@debian.org>  Thu,  7 Jul 2005 03:58:40 +0300

ppmd (9.1-10) unstable; urgency=low

  * Remove build stamp file handling.
  * Fix Subversion repository address.
  * Fix typos in ppmd manpage. (Closes: #286229)
    Thanks to Tommaso Moroni <moronito@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Tue,  1 Feb 2005 07:52:19 +0100

ppmd (9.1-9) unstable; urgency=low

  * Split patches into debian/patches/:
    - 00_makefile.patch.
    - 01_upstream.patch.
  * Use "License:" instead of missused "Copyright:" in debian/copyright.
  * Switch from autotools to plain makefile.
  * Now that it is not using autoconf change debian/rules accordingly.
  * Moved and cleaned man page from base source dir to debian/.
  * Cleaned debian/rules from unused cruft.
  * Removed usr/sbin from debian/dirs file.
  * Do not use stamp files for the build targets.
  * Added the location of the Subversion repo.

 -- Guillem Jover <guillem@debian.org>  Mon, 15 Nov 2004 11:20:25 +0100

ppmd (9.1-8) unstable; urgency=low

  * New Maintainer. (Closes: #228937)
  * Cleaned and regenerated autothings.
  * Moved debian/ppmd.install contents to debian/docs.
  * Renamed debian/ppmd.manpages to debian/manpages.
  * Some minor fixes to package description.
  * Reformatted the copyright file.
  * Added debian/watch file.
  * Switch to debhelper compativility level 4 and use debian/compat instead.
  * Honour correct DEB_BUILD_OPTIONS.
  * Cleaned debian/rules a bit.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Fri, 23 Jan 2004 06:52:04 +0100

ppmd (9.1-7) unstable; urgency=low

  * Made some build scripts executable from debian/rules (closes:Bug#208958)

 -- Magnus Ekdahl <magnus@debian.org>  Sun,  7 Sep 2003 08:47:31 +0200

ppmd (9.1-6) unstable; urgency=low

  * Made ppmd work with g++-3.3 (closes:Bug#195016). Either g++ has an
    inline bug or ppmd has a really hard caught bug I cannot find.

 -- Magnus Ekdahl <magnus@debian.org>  Tue,  2 Sep 2003 19:57:31 +0200

ppmd (9.1-5) unstable; urgency=low

  * Using g++-2.95 instead of g++

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 22 Aug 2003 19:19:25 +0200

ppmd (9.1-4) unstable; urgency=low

  * changed the arch field to any and made the build process fail if
    ppmd doesn't work on that architecture (closes: Bug#183783)

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 22 Aug 2003 19:15:51 +0200

ppmd (9.1-3) unstable; urgency=low

  * Included file name in upstream URL for clarity (closes: Bug#181647)
  * Made the manpage somewhat possible to understand (closes: Bug#181665)

 -- Magnus Ekdahl <magnus@debian.org>  Sat, 22 Feb 2003 18:20:28 +0100

ppmd (9.1-2) unstable; urgency=low

  * Description improvment (new ideas by Drew Scott Daniels)
  * Added compression comparisons

