=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(CURDIR)/debian/ppmd

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

CXXFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CXXFLAGS += -O0
else
  # FIXME: Use this workaround for now, otherwise with g++-4.1 the code
  #        segfaults, thus FTBFS.
  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    CXXFLAGS += -O1
  else
    CXXFLAGS += -O2
  endif
endif

build:
	dh_testdir
	
	$(MAKE) CXXFLAGS="$(CXXFLAGS)"

clean:
	dh_testdir
	dh_testroot
	
	[ ! -f Makefile ] || $(MAKE) clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) install DESTDIR=$(DESTDIR) prefix=/usr

test: build
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "Testing if ppmd works on this architecture"
	$(MAKE) test
endif

binary-indep:
# Nothing to do.

binary-arch: test install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install test
