=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="uversionmangle=s/[a-z]*/chr(ord($&) - ord('0')) . '.'/e" \
ftp://ftp.elf.stuba.sk/pub/pc/pack/	ppmd(.*)\.rar	debian	uupdate
