## ppmd 10.1

=== debian/changelog ===
ppmd (10.1-5) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Rename README.Debian to README.source.
  * Update README.source information.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 19 Apr 2012 14:36:31 +0200

ppmd (10.1-4) unstable; urgency=low

  * Do not assuming struct dirent has a constant size, just strdup() the
    d_name member instead of partially copying the struct. This fixes the
    program and thus the build test suite for GNU/Hurd.
  * Use strdup() instead of malloc()+strcpy() in 01_upstream.patch.

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Nov 2011 19:21:05 +0100

ppmd (10.1-3) unstable; urgency=low

  * Remove intermediate test suite files on clean and test targets.
  * Use -O1 on sparc to workaround a «Bus Error» on Model.cpp.

 -- Guillem Jover <guillem@debian.org>  Tue, 09 Aug 2011 02:44:57 +0200

ppmd (10.1-2) unstable; urgency=low

  * Define _32_EXOTIC and _64_EXOTIC by default instead of _32_NORMAL
    and _64_NORMAL, and define the later only on architectures known to
    not need strict alignment rules, avoiding segfaults but consuming more
    memory.

 -- Guillem Jover <guillem@debian.org>  Mon, 01 Aug 2011 06:16:50 +0200

ppmd (10.1-1) unstable; urgency=low

  * New upstream release.
    - Add support for 64-bit architectures.
      Closes: #178840, #186873, #370419, #462405
  * Add ${misc:Depends} to ppmd Depends field.
  * Do not use perl functions in the uversionmangle watch file opts variable.
  * Add build-indep and build-arch debian/rules targets.
  * Do not fail on hardlinked files. Closes: #378039
  * Fix some compilation warnings.
  * Now using Standards-Version 3.9.2.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Jul 2011 08:19:39 +0200
