=== debian/control ===
Source: ppmd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/ppmd.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/ppmd.git
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3

Package: ppmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast archiver program with good compression ratio
 ppmd predicts the probability of a given character based on the
 characters that immediately precede it (as all PPM compressors,
 see also Markov Chains and Context Modeling). This archiver
 should be better than zip, gzip, bzip2, zzip, szip and ppmz(2)
 at compressing files.
