=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
# Map a-z in version number to the ordinals 1 to 27
opts="uversionmangle=s/([a-z])/$1./;tr/a-i/1-9/;s/([j-s])/1$1/;tr/j-s/0-9/;s/([t-z])/2$1/;tr/t-z/0-6/" \
http://compression.ru/ds/	ppmd(.*)\.rar	debian	uupdate
